Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config
Interface JposEntryConst

All Superinterfaces:
  RS232Const, java.io.Serializable

public interface JposEntryConst
extends RS232Const, java.io.Serializable

Defines constants for standard properties names and values used to create JposEntries...

Since:
  1.3 (Berlin 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`static java.lang.Class` | `DEFAULT_PROP_TYPE` The default JposEntry property type
`static java.lang.String` | `DEVICE_BUS_PROP_NAME` Required property indicating the BUS used for this JposEntry
`static java.lang.String[]` | `DEVICE_BUS_VALUES` Array of all the deviceBus property values
`static java.lang.String` | `DEVICE_CATEGORY_DEFAULT_PROP_VALUE`
`static java.lang.String` | `JPOS_VERSION_DEFAULT_PROP_VALUE`
`static java.lang.String[]` | `JPOS_VERSION_PROPS`
`static java.lang.String` | `LOGICAL_NAME_DEFAULT_PROP_VALUE`
`static java.lang.String` | `PARALLEL_DEVICE_BUS` Property value for deviceBus for standard Parallel ports
`static java.lang.String` | `PRODUCT_DESCRIPTION_DEFAULT_PROP_VALUE`
`static java.lang.String` | `PRODUCT_NAME_DEFAULT_PROP_VALUE`
`static java.lang.String` | `PRODUCT_URL_DEFAULT_PROP_VALUE`
`static java.lang.Class[]` | `PROP_TYPES` Array of all the property types allowed for a JposEntry property
`static java.lang.String[]` | `PROP_TYPES_SHORT_NAMES` Array of all the property types allowed for a JposEntry property
`static java.lang.String` | `PROPRIETARY_DEVICE_BUS` Property value for deviceBus for proprietary buses
`static java.lang.String[]` | `REQUIRED_PROPS` Array of all required properties
`static java.lang.String` | `RS232_DEVICE_BUS` Property value for deviceBus for RS232
`static java.lang.String` | `RS485_DEVICE_BUS` Property value for deviceBus for RS485 (or SIO)
`static java.lang.String` | `SERVICE_CLASS_DEFAULT_PROP_VALUE`
`static java.lang.String` | `SI_FACTORY_CLASS_DEFAULT_PROP_VALUE`
`static java.lang.String` | `UNKNOWN_DEVICE_BUS` Property value for deviceBus for other "Unknown" buses
`static java.lang.String` | `USB_DEVICE_BUS` Property value for deviceBus for USB
`static java.lang.String` | `VENDOR_NAME_DEFAULT_PROP_VALUE`
`static java.lang.String` | `VENDOR_URL_DEFAULT_PROP_VALUE`

Fields inherited from interface jpos.config.RS232Const
`DEFAULT_RS232_BAUD_RATE_VALUE, DEFAULT_RS232_DATA_BITS_VALUE, DEFAULT_RS232_FLOW_CONTROL_VALUE, DEFAULT_RS232_PARITY_VALUE, DEFAULT_RS232_PORT_NAME_VALUE, DEFAULT_RS232_STOP_BITS_VALUE, RS232_BAUD_RATE_PROP_NAME, RS232_BAUD_RATE_VALUES, RS232_DATA_BITS_4, RS232_DATA_BITS_5, RS232_DATA_BITS_6, RS232_DATA_BITS_7, RS232_DATA_BITS_8, RS232_DATA_BITS_PROP_NAME, RS232_DATA_BITS_VALUES, RS232_FLOW_CONTROL_HARDWARE, RS232_FLOW_CONTROL_NONE, RS232_FLOW_CONTROL_PROP_NAME, RS232_FLOW_CONTROL_VALUES, RS232_FLOW_CONTROL_XON_XOFF, RS232_PARITY_EVEN, RS232_PARITY_MARK, RS232_PARITY_NONE, RS232_PARITY_ODD, RS232_PARITY_PROP_NAME, RS232_PARITY_SPACE, RS232_PARITY_VALUES, RS232_PORT_NAME_PROP_NAME, RS232_PROPS, RS232_STOP_BITS_1, RS232_STOP_BITS_1_5, RS232_STOP_BITS_2, RS232_STOP_BITS_PROP_NAME, RS232_STOP_BITS_VALUES`

Field Detail

### REQUIRED_PROPS

    public static final java.lang.String[] REQUIRED_PROPS

  Array of all required properties
  Since:
    1.3 (Washington 2001 meeting)

### LOGICAL_NAME_DEFAULT_PROP_VALUE

    public static final java.lang.String LOGICAL_NAME_DEFAULT_PROP_VALUE

### SI_FACTORY_CLASS_DEFAULT_PROP_VALUE

    public static final java.lang.String SI_FACTORY_CLASS_DEFAULT_PROP_VALUE

### SERVICE_CLASS_DEFAULT_PROP_VALUE

    public static final java.lang.String SERVICE_CLASS_DEFAULT_PROP_VALUE

### DEVICE_CATEGORY_DEFAULT_PROP_VALUE

    public static final java.lang.String DEVICE_CATEGORY_DEFAULT_PROP_VALUE

### JPOS_VERSION_DEFAULT_PROP_VALUE

    public static final java.lang.String JPOS_VERSION_DEFAULT_PROP_VALUE

### VENDOR_NAME_DEFAULT_PROP_VALUE

    public static final java.lang.String VENDOR_NAME_DEFAULT_PROP_VALUE

### VENDOR_URL_DEFAULT_PROP_VALUE

    public static final java.lang.String VENDOR_URL_DEFAULT_PROP_VALUE

### PRODUCT_NAME_DEFAULT_PROP_VALUE

    public static final java.lang.String PRODUCT_NAME_DEFAULT_PROP_VALUE

### PRODUCT_URL_DEFAULT_PROP_VALUE

    public static final java.lang.String PRODUCT_URL_DEFAULT_PROP_VALUE

### PRODUCT_DESCRIPTION_DEFAULT_PROP_VALUE

    public static final java.lang.String PRODUCT_DESCRIPTION_DEFAULT_PROP_VALUE

### JPOS_VERSION_PROPS

    public static final java.lang.String[] JPOS_VERSION_PROPS

### DEVICE_BUS_PROP_NAME

    public static final java.lang.String DEVICE_BUS_PROP_NAME

  Required property indicating the BUS used for this JposEntry

### RS232_DEVICE_BUS

    public static final java.lang.String RS232_DEVICE_BUS

  Property value for deviceBus for RS232

### PARALLEL_DEVICE_BUS

    public static final java.lang.String PARALLEL_DEVICE_BUS

  Property value for deviceBus for standard Parallel ports

### USB_DEVICE_BUS

    public static final java.lang.String USB_DEVICE_BUS

  Property value for deviceBus for USB

### RS485_DEVICE_BUS

    public static final java.lang.String RS485_DEVICE_BUS

  Property value for deviceBus for RS485 (or SIO)

### PROPRIETARY_DEVICE_BUS

    public static final java.lang.String PROPRIETARY_DEVICE_BUS

  Property value for deviceBus for proprietary buses

### UNKNOWN_DEVICE_BUS

    public static final java.lang.String UNKNOWN_DEVICE_BUS

  Property value for deviceBus for other "Unknown" buses

### DEVICE_BUS_VALUES

    public static final java.lang.String[] DEVICE_BUS_VALUES

  Array of all the deviceBus property values

### DEFAULT_PROP_TYPE

    public static final java.lang.Class DEFAULT_PROP_TYPE

  The default JposEntry property type

### PROP_TYPES

    public static final java.lang.Class[] PROP_TYPES

  Array of all the property types allowed for a JposEntry property

### PROP_TYPES_SHORT_NAMES

    public static final java.lang.String[] PROP_TYPES_SHORT_NAMES

  Array of all the property types allowed for a JposEntry property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details